<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.paint.*?>
<?import javafx.scene.effect.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.text.*?>
<?import com.jfoenix.controls.*?>
<?import javafx.scene.control.*?>
<?import java.lang.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.layout.AnchorPane?>

<AnchorPane prefHeight="254.0" prefWidth="729.0" style="-fx-background-color: linear-gradient(from 0px 20px to 100px 500px,#ee5c01,#03e902);" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="gui.CaldosFormController">
   <children>
      <GridPane layoutY="14.0" prefHeight="235.0" prefWidth="715.0" AnchorPane.leftAnchor="14.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="14.0">
        <columnConstraints>
          <ColumnConstraints hgrow="SOMETIMES" maxWidth="285.0" minWidth="10.0" prefWidth="107.0" />
          <ColumnConstraints hgrow="SOMETIMES" maxWidth="409.0" minWidth="10.0" prefWidth="339.0" />
            <ColumnConstraints hgrow="SOMETIMES" maxWidth="342.0" minWidth="10.0" prefWidth="248.0" />
        </columnConstraints>
        <rowConstraints>
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
        </rowConstraints>
         <children>
            <Label text="Id">
               <font>
                  <Font name="System Bold" size="14.0" />
               </font>
            </Label>
            <Label text="Nome" GridPane.rowIndex="1">
               <font>
                  <Font name="System Bold" size="14.0" />
               </font>
            </Label>
            <Label text="Compra" GridPane.rowIndex="2">
               <font>
                  <Font name="System Bold" size="14.0" />
               </font>
            </Label>
            <Label prefHeight="18.0" prefWidth="108.0" text="Data Compra" GridPane.rowIndex="3">
               <font>
                  <Font name="System Bold" size="14.0" />
               </font>
            </Label>
            <Label text="Venda" GridPane.rowIndex="4">
               <font>
                  <Font name="System Bold" size="14.0" />
               </font>
            </Label>
            <Label text="Qtd" GridPane.rowIndex="5">
               <font>
                  <Font name="System Bold" size="14.0" />
               </font>
            </Label>
            <Label fx:id="labelErrorNome" textFill="RED" GridPane.columnIndex="2" GridPane.rowIndex="1">
               <font>
                  <Font name="System Bold" size="13.0" />
               </font>
            </Label>
            <Label fx:id="labelErrorCompra" textFill="RED" GridPane.columnIndex="2" GridPane.rowIndex="2">
               <font>
                  <Font name="System Bold" size="13.0" />
               </font>
            </Label>
            <Label fx:id="labelErrorDataCompra" textFill="RED" GridPane.columnIndex="2" GridPane.rowIndex="3">
               <font>
                  <Font name="System Bold" size="13.0" />
               </font>
            </Label>
            <Label fx:id="labelErrorVenda" textFill="RED" GridPane.columnIndex="2" GridPane.rowIndex="4">
               <font>
                  <Font name="System Bold" size="13.0" />
               </font>
            </Label>
            <Label fx:id="labelErrorQtd" textFill="RED" GridPane.columnIndex="2" GridPane.rowIndex="5">
               <font>
                  <Font name="System Bold" size="13.0" />
               </font>
            </Label>
            <TextField fx:id="txtId" editable="false" style="-fx-background-color: linear-gradient(from 10px -20px to 100px 500px,#ee5c01,#03e902);" GridPane.columnIndex="1" />
            <TextField fx:id="txtNome" prefHeight="36.0" prefWidth="278.0" promptText="Digite o nome da bebida" GridPane.columnIndex="1" GridPane.rowIndex="1" />
            <TextField fx:id="txtCompra" prefHeight="36.0" prefWidth="278.0" promptText="Digite o valor da compra. Colocar '.' para centavos" GridPane.columnIndex="1" GridPane.rowIndex="2" />
            <DatePicker fx:id="txtDataCompra" prefHeight="40.0" prefWidth="346.0" GridPane.columnIndex="1" GridPane.rowIndex="3" />
            <TextField fx:id="txtVenda" prefHeight="36.0" prefWidth="278.0" promptText="Digite o valor da venda Colocar '.' para centavos" GridPane.columnIndex="1" GridPane.rowIndex="4" />
            <TextField fx:id="txtQtd" prefHeight="36.0" prefWidth="278.0" promptText="Digite a quantidade de bebidas" GridPane.columnIndex="1" GridPane.rowIndex="5" />
            <GridPane alignment="TOP_CENTER" prefHeight="57.0" prefWidth="346.0" GridPane.columnIndex="1" GridPane.rowIndex="6">
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
               <children>
                  <Button fx:id="btnSalvar" mnemonicParsing="false" onAction="#onBtnSalvarAction" prefHeight="25.0" prefWidth="95.0" styleClass="botaoAzul" stylesheets="@../styles/botoes.css" text="Salvar">
                     <GridPane.margin>
                        <Insets bottom="-5.0" left="20.0" />
                     </GridPane.margin>
                  </Button>
                  <Button fx:id="btnCancelar" mnemonicParsing="false" onAction="#onBtnCancelarAction" prefHeight="25.0" prefWidth="95.0" styleClass="botaoVermelho" stylesheets="@../styles/botoes.css" text="Cancelar" GridPane.columnIndex="1">
                     <GridPane.margin>
                        <Insets bottom="-5.0" left="44.0" />
                     </GridPane.margin>
                  </Button>
               </children>
               <padding>
                  <Insets left="10.0" right="10.0" />
               </padding>
            </GridPane>
         </children>
      </GridPane>
   </children>
</AnchorPane>
